package providers

import            "git.tebibyte.media/sashakoshka/step"
import fpos       "git.tebibyte.media/sashakoshka/step/providers/os"
import fplog      "git.tebibyte.media/sashakoshka/step/providers/log"
import fphttp     "git.tebibyte.media/sashakoshka/step/providers/http"
import fppath     "git.tebibyte.media/sashakoshka/step/providers/path"
import fpmime     "git.tebibyte.media/sashakoshka/step/providers/mime"
import fpmath     "git.tebibyte.media/sashakoshka/step/providers/math"
import fpsprig    "git.tebibyte.media/sashakoshka/step/providers/sprig"
import fpimport   "git.tebibyte.media/sashakoshka/step/providers/import"
import fpcrypto   "git.tebibyte.media/sashakoshka/step/providers/crypto"
import fpstrings  "git.tebibyte.media/sashakoshka/step/providers/strings"
import fpsession  "git.tebibyte.media/sashakoshka/step/providers/session"
import fpvalidate "git.tebibyte.media/sashakoshka/step/providers/validate"
import fpmarkdown "git.tebibyte.media/sashakoshka/step/providers/markdown"

// All returns a slice of all providers defined in sub-packages.
func All () []step.Provider {
	return []step.Provider {
		new(fpos.Provider),
		new(fplog.Provider),
		new(fphttp.Provider),
		new(fppath.Provider),
		new(fpmime.Provider),
		new(fpmath.Provider),
		new(fpsprig.Provider),
		new(fpimport.Provider),
		new(fpcrypto.Provider),
		new(fpsession.Provider),
		new(fpstrings.Provider),
		new(fpvalidate.Provider),
		fpmarkdown.Default(),
	}
}
